PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
kubly::warstwa Class Reference

`#include <solvers/gain/wasiak/wzmocnienie/kublybr.h>`

Inheritance diagram for kubly::warstwa:
[legend]
Collaboration diagram for kubly::warstwa:
[legend]

## Public Member Functions
| warstwa (double m_p, double m_r, double x_p, double y_p, double x_k, double y_k, double niepar=0, double niepar_2=0)
double | ffala (double x, double E) const
double | ffalb (double x, double E) const
double | ffala_prim (double x, double E) const
double | ffalb_prim (double x, double E) const

## Protected Member Functions
double | tryga (double x, double E) const
double | trygb (double x, double E) const
double | expa (double x, double E) const
double | expb (double x, double E) const
double | Ai (double x, double E) const
double | Ai_skala (double x, double E) const
double | Bi (double x, double E) const
double | Bi_skala (double x, double E) const
double | tryga_prim (double x, double E) const
double | trygb_prim (double x, double E) const
double | expa_prim (double x, double E) const
double | expb_prim (double x, double E) const
double | Ai_prim (double x, double E) const
double | Ai_prim_skala (double x, double E) const
double | Bi_prim (double x, double E) const
double | Bi_prim_skala (double x, double E) const
double | funkcjafal (double x, double E, double A, double B) const
double | funkcjafal_prim (double x, double E, double A, double B) const
parad | AB_z_wartp (double w, double wp, double E) const
double | k_kwadr (double E) const
double | Eodk (double k) const
void | przesun_igreki (double)

## Protected Attributes
warstwa * | nast
double | masa_r

## Friends
class | struktura
class | obszar_aktywny
class | wzmocnienie

## Detailed Description

Definition at line 71 of file kublybr.h.

## Constructor & Destructor Documentation

## ◆ warstwa()

kubly::warstwa::warstwa | ( | double | m_p,
|  | double | m_r,
|  | double | x_p,
|  | double | y_p,
|  | double | x_k,
|  | double | y_k,
|  | double | niepar = `0`,
|  | double | niepar_2 = `0`
| ) |  |

Definition at line 80 of file kublybr.cc.

## Member Function Documentation

## ◆ AB_z_wartp()

parad kubly::warstwa::AB_z_wartp | ( | double | w,
|  | double | wp,
|  | double | E
| ) |  | const
| protected

Definition at line 906 of file kublybr.cc.

## ◆ Ai()

double kubly::warstwa::Ai | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 354 of file kublybr.cc.

## ◆ Ai_prim()

double kubly::warstwa::Ai_prim | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 411 of file kublybr.cc.

## ◆ Ai_prim_skala()

double kubly::warstwa::Ai_prim_skala | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 429 of file kublybr.cc.

## ◆ Ai_skala()

double kubly::warstwa::Ai_skala | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 374 of file kublybr.cc.

## ◆ Bi()

double kubly::warstwa::Bi | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 464 of file kublybr.cc.

## ◆ Bi_prim()

double kubly::warstwa::Bi_prim | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 521 of file kublybr.cc.

## ◆ Bi_prim_skala()

double kubly::warstwa::Bi_prim_skala | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 537 of file kublybr.cc.

## ◆ Bi_skala()

double kubly::warstwa::Bi_skala | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 484 of file kublybr.cc.

## ◆ Eodk()

double kubly::warstwa::Eodk | ( | double | k | ) | const
| protected

Definition at line 1462 of file kublybr.cc.

## ◆ expa()

double kubly::warstwa::expa | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 291 of file kublybr.cc.

## ◆ expa_prim()

double kubly::warstwa::expa_prim | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 303 of file kublybr.cc.

## ◆ expb()

double kubly::warstwa::expb | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 315 of file kublybr.cc.

## ◆ expb_prim()

double kubly::warstwa::expb_prim | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 328 of file kublybr.cc.

## ◆ ffala()

double kubly::warstwa::ffala | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 137 of file kublybr.cc.

## ◆ ffala_prim()

double kubly::warstwa::ffala_prim | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 163 of file kublybr.cc.

## ◆ ffalb()

double kubly::warstwa::ffalb | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 185 of file kublybr.cc.

## ◆ ffalb_prim()

double kubly::warstwa::ffalb_prim | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 207 of file kublybr.cc.

## ◆ funkcjafal()

double kubly::warstwa::funkcjafal | ( | double | x,
|  | double | E,
|  | double | A,
|  | double | B
| ) |  | const
| protected

Definition at line 880 of file kublybr.cc.

## ◆ funkcjafal_prim()

double kubly::warstwa::funkcjafal_prim | ( | double | x,
|  | double | E,
|  | double | A,
|  | double | B
| ) |  | const
| protected

Definition at line 882 of file kublybr.cc.

## ◆ k_kwadr()

double kubly::warstwa::k_kwadr | ( | double | E | ) | const
| protected

Definition at line 586 of file kublybr.cc.

## ◆ przesun_igreki()

void kubly::warstwa::przesun_igreki | ( | double | dE | ) |
| protected

Definition at line 131 of file kublybr.cc.

## ◆ tryga()

double kubly::warstwa::tryga | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 229 of file kublybr.cc.

## ◆ tryga_prim()

double kubly::warstwa::tryga_prim | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 241 of file kublybr.cc.

## ◆ trygb()

double kubly::warstwa::trygb | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 253 of file kublybr.cc.

## ◆ trygb_prim()

double kubly::warstwa::trygb_prim | ( | double | x,
|  | double | E
| ) |  | const
| protected

Definition at line 265 of file kublybr.cc.

## Friends And Related Symbol Documentation

## ◆ obszar_aktywny

friend class obszar_aktywny
| friend

Definition at line 74 of file kublybr.h.

## ◆ struktura

friend class struktura
| friend

Definition at line 73 of file kublybr.h.

## ◆ wzmocnienie

friend class wzmocnienie
| friend

Definition at line 75 of file kublybr.h.

## Member Data Documentation

## ◆ masa_r

double kubly::warstwa::masa_r
| protected

Definition at line 102 of file kublybr.h.

## ◆ nast

warstwa* kubly::warstwa::nast
| protected

Definition at line 101 of file kublybr.h.

The documentation for this class was generated from the following files:

- solvers/gain/wasiak/wzmocnienie/kublybr.h
- solvers/gain/wasiak/wzmocnienie/kublybr.cc